### Hierarchy

- Basket

### Implements

- IRenderable
- IStackeable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- render
- renderAddButton
- renderBasket
- renderBasketEntity
- renderRemoveButton
- renderButton

## Constructors

### constructor

- new Basket(spec: ISpecification): Basket

- - Defined in lib/renderable/basket/index.ts:18

  #### Parameters

  - ##### spec: ISpecification

  #### Returns Basket

## Properties

### Private spec

spec: Specification

- Defined in lib/renderable/basket/index.ts:18

## Methods

### render

- render(renderer: IRenderer): HTMLElement

- - Defined in lib/renderable/basket/index.ts:27

  #### Parameters

  - ##### renderer: IRenderer

  #### Returns HTMLElement

### Private renderAddButton

- renderAddButton(basket: INode, renderer: IRenderer): INode

- - Defined in lib/renderable/basket/index.ts:52

  #### Parameters

  - ##### basket: INode

  - ##### renderer: IRenderer

  #### Returns INode

### Private renderBasket

- renderBasket(renderer: IRenderer): INode

- - Defined in lib/renderable/basket/index.ts:29

  #### Parameters

  - ##### renderer: IRenderer

  #### Returns INode

### Private renderBasketEntity

- renderBasketEntity(basket: INode, renderer: IRenderer): INode

- - Defined in lib/renderable/basket/index.ts:36

  #### Parameters

  - ##### basket: INode

  - ##### renderer: IRenderer

  #### Returns INode

### Private renderRemoveButton

- renderRemoveButton(basket: INode, entity: INode): INode

- - Defined in lib/renderable/basket/index.ts:53

  #### Parameters

  - ##### basket: INode

  - ##### entity: INode

  #### Returns INode

### Static Private renderButton

- renderButton(className: string, callback: function): INode

- - Defined in lib/renderable/basket/index.ts:45

  #### Parameters

  - ##### className: string

  - ##### callback: function

    - - (): void

      - #### Returns void

  #### Returns INode

Generated using TypeDoc